Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._2._1.rim
Interface RimFactory

All Superinterfaces:
  org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  RimFactoryImpl

    public interface RimFactory

extends org.eclipse.emf.ecore.EFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  `RimPackage`

Field Summary
`static RimFactory` | `eINSTANCE` The singleton instance of the factory.

Method Summary
`AssociationType1` | `createAssociationType1()` Returns a new object of class 'Association Type1'.
`AuditableEventType` | `createAuditableEventType()` Returns a new object of class 'Auditable Event Type'.
`ClassificationNodeType` | `createClassificationNodeType()` Returns a new object of class 'Classification Node Type'.
`ClassificationSchemeType` | `createClassificationSchemeType()` Returns a new object of class 'Classification Scheme Type'.
`ClassificationType` | `createClassificationType()` Returns a new object of class 'Classification Type'.
`DocumentRoot` | `createDocumentRoot()` Returns a new object of class 'Document Root'.
`EmailAddressType` | `createEmailAddressType()` Returns a new object of class 'Email Address Type'.
`ExternalIdentifierType` | `createExternalIdentifierType()` Returns a new object of class 'External Identifier Type'.
`ExternalLinkType` | `createExternalLinkType()` Returns a new object of class 'External Link Type'.
`ExtrinsicObjectType` | `createExtrinsicObjectType()` Returns a new object of class 'Extrinsic Object Type'.
`InternationalStringType` | `createInternationalStringType()` Returns a new object of class 'International String Type'.
`LeafRegistryObjectListType` | `createLeafRegistryObjectListType()` Returns a new object of class 'Leaf Registry Object List Type'.
`LocalizedStringType` | `createLocalizedStringType()` Returns a new object of class 'Localized String Type'.
`ObjectRefListType` | `createObjectRefListType()` Returns a new object of class 'Object Ref List Type'.
`ObjectRefType` | `createObjectRefType()` Returns a new object of class 'Object Ref Type'.
`OrganizationType` | `createOrganizationType()` Returns a new object of class 'Organization Type'.
`PersonNameType` | `createPersonNameType()` Returns a new object of class 'Person Name Type'.
`PostalAddressType` | `createPostalAddressType()` Returns a new object of class 'Postal Address Type'.
`RegistryEntryType` | `createRegistryEntryType()` Returns a new object of class 'Registry Entry Type'.
`RegistryObjectListType` | `createRegistryObjectListType()` Returns a new object of class 'Registry Object List Type'.
`RegistryObjectType` | `createRegistryObjectType()` Returns a new object of class 'Registry Object Type'.
`RegistryPackageType` | `createRegistryPackageType()` Returns a new object of class 'Registry Package Type'.
`ServiceBindingType` | `createServiceBindingType()` Returns a new object of class 'Service Binding Type'.
`ServiceType` | `createServiceType()` Returns a new object of class 'Service Type'.
`SlotType1` | `createSlotType1()` Returns a new object of class 'Slot Type1'.
`SpecificationLinkType` | `createSpecificationLinkType()` Returns a new object of class 'Specification Link Type'.
`TelephoneNumberListType` | `createTelephoneNumberListType()` Returns a new object of class 'Telephone Number List Type'.
`TelephoneNumberType` | `createTelephoneNumberType()` Returns a new object of class 'Telephone Number Type'.
`UserType` | `createUserType()` Returns a new object of class 'User Type'.
`ValueListType` | `createValueListType()` Returns a new object of class 'Value List Type'.
`RimPackage` | `getRimPackage()` Returns the package supported by this factory.

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`convertToString, create, createFromString, getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eINSTANCE

    static final RimFactory eINSTANCE

  The singleton instance of the factory.

Method Detail

### createAssociationType1

    AssociationType1 createAssociationType1()

  Returns a new object of class 'Association Type1'.

  Returns:
    a new object of class 'Association Type1'.

### createAuditableEventType

    AuditableEventType createAuditableEventType()

  Returns a new object of class 'Auditable Event Type'.

  Returns:
    a new object of class 'Auditable Event Type'.

### createClassificationNodeType

    ClassificationNodeType createClassificationNodeType()

  Returns a new object of class 'Classification Node Type'.

  Returns:
    a new object of class 'Classification Node Type'.

### createClassificationSchemeType

    ClassificationSchemeType createClassificationSchemeType()

  Returns a new object of class 'Classification Scheme Type'.

  Returns:
    a new object of class 'Classification Scheme Type'.

### createClassificationType

    ClassificationType createClassificationType()

  Returns a new object of class 'Classification Type'.

  Returns:
    a new object of class 'Classification Type'.

### createDocumentRoot

    DocumentRoot createDocumentRoot()

  Returns a new object of class 'Document Root'.

  Returns:
    a new object of class 'Document Root'.

### createEmailAddressType

    EmailAddressType createEmailAddressType()

  Returns a new object of class 'Email Address Type'.

  Returns:
    a new object of class 'Email Address Type'.

### createExternalIdentifierType

    ExternalIdentifierType createExternalIdentifierType()

  Returns a new object of class 'External Identifier Type'.

  Returns:
    a new object of class 'External Identifier Type'.

### createExternalLinkType

    ExternalLinkType createExternalLinkType()

  Returns a new object of class 'External Link Type'.

  Returns:
    a new object of class 'External Link Type'.

### createExtrinsicObjectType

    ExtrinsicObjectType createExtrinsicObjectType()

  Returns a new object of class 'Extrinsic Object Type'.

  Returns:
    a new object of class 'Extrinsic Object Type'.

### createInternationalStringType

    InternationalStringType createInternationalStringType()

  Returns a new object of class 'International String Type'.

  Returns:
    a new object of class 'International String Type'.

### createLeafRegistryObjectListType

    LeafRegistryObjectListType createLeafRegistryObjectListType()

  Returns a new object of class 'Leaf Registry Object List Type'.

  Returns:
    a new object of class 'Leaf Registry Object List Type'.

### createLocalizedStringType

    LocalizedStringType createLocalizedStringType()

  Returns a new object of class 'Localized String Type'.

  Returns:
    a new object of class 'Localized String Type'.

### createObjectRefListType

    ObjectRefListType createObjectRefListType()

  Returns a new object of class 'Object Ref List Type'.

  Returns:
    a new object of class 'Object Ref List Type'.

### createObjectRefType

    ObjectRefType createObjectRefType()

  Returns a new object of class 'Object Ref Type'.

  Returns:
    a new object of class 'Object Ref Type'.

### createOrganizationType

    OrganizationType createOrganizationType()

  Returns a new object of class 'Organization Type'.

  Returns:
    a new object of class 'Organization Type'.

### createPersonNameType

    PersonNameType createPersonNameType()

  Returns a new object of class 'Person Name Type'.

  Returns:
    a new object of class 'Person Name Type'.

### createPostalAddressType

    PostalAddressType createPostalAddressType()

  Returns a new object of class 'Postal Address Type'.

  Returns:
    a new object of class 'Postal Address Type'.

### createRegistryEntryType

    RegistryEntryType createRegistryEntryType()

  Returns a new object of class 'Registry Entry Type'.

  Returns:
    a new object of class 'Registry Entry Type'.

### createRegistryObjectListType

    RegistryObjectListType createRegistryObjectListType()

  Returns a new object of class 'Registry Object List Type'.

  Returns:
    a new object of class 'Registry Object List Type'.

### createRegistryObjectType

    RegistryObjectType createRegistryObjectType()

  Returns a new object of class 'Registry Object Type'.

  Returns:
    a new object of class 'Registry Object Type'.

### createRegistryPackageType

    RegistryPackageType createRegistryPackageType()

  Returns a new object of class 'Registry Package Type'.

  Returns:
    a new object of class 'Registry Package Type'.

### createServiceBindingType

    ServiceBindingType createServiceBindingType()

  Returns a new object of class 'Service Binding Type'.

  Returns:
    a new object of class 'Service Binding Type'.

### createServiceType

    ServiceType createServiceType()

  Returns a new object of class 'Service Type'.

  Returns:
    a new object of class 'Service Type'.

### createSlotType1

    SlotType1 createSlotType1()

  Returns a new object of class 'Slot Type1'.

  Returns:
    a new object of class 'Slot Type1'.

### createSpecificationLinkType

    SpecificationLinkType createSpecificationLinkType()

  Returns a new object of class 'Specification Link Type'.

  Returns:
    a new object of class 'Specification Link Type'.

### createTelephoneNumberListType

    TelephoneNumberListType createTelephoneNumberListType()

  Returns a new object of class 'Telephone Number List Type'.

  Returns:
    a new object of class 'Telephone Number List Type'.

### createTelephoneNumberType

    TelephoneNumberType createTelephoneNumberType()

  Returns a new object of class 'Telephone Number Type'.

  Returns:
    a new object of class 'Telephone Number Type'.

### createUserType

    UserType createUserType()

  Returns a new object of class 'User Type'.

  Returns:
    a new object of class 'User Type'.

### createValueListType

    ValueListType createValueListType()

  Returns a new object of class 'Value List Type'.

  Returns:
    a new object of class 'Value List Type'.

### getRimPackage

    RimPackage getRimPackage()

  Returns the package supported by this factory.

  Returns:
    the package supported by this factory.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD